Index: codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/inifis.F
===================================================================
--- codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/inifis.F	(revision 297)
+++ codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/inifis.F	(revision 298)
@@ -572,100 +617,106 @@
 ! if varactive, then varfixed should be false
          if (varactive.and.varfixed) then
-           print*,'if varactive, varfixed must be OFF!'
+           if (is_master) print*,'if varactive, varfixed must be OFF!'
            stop
          endif
 
-         write(*,*) "Gravitationnal sedimentation ?"
+         if (is_master) write(*,*) "Gravitationnal sedimentation ?"
          sedimentation=.false. ! default value
          call getin_p("sedimentation",sedimentation)
-         write(*,*) " sedimentation = ",sedimentation
-
-         write(*,*) "Compute water cycle ?"
+         if (is_master) write(*,*) " sedimentation = ",sedimentation
+
+         if (is_master) write(*,*) "Compute water cycle ?"
          water=.false. ! default value
          call getin_p("water",water)
-         write(*,*) " water = ",water
+         if (is_master) write(*,*) " water = ",water
          
 ! Test of incompatibility:
 ! if water is true, there should be at least a tracer
          if (water.and.(.not.tracer)) then
-           print*,'if water is ON, tracer must be ON too!'
+           if (is_master) print*,'if water is ON, tracer must be ',
+     &		'ON too!'
            stop
          endif
 
-         write(*,*) "Include water condensation ?"
+         if (is_master) write(*,*) "Include water condensation ?"
          watercond=.false. ! default value
          call getin_p("watercond",watercond)
-         write(*,*) " watercond = ",watercond
+         if (is_master) write(*,*) " watercond = ",watercond
 
 ! Test of incompatibility:
 ! if watercond is used, then water should be used too
          if (watercond.and.(.not.water)) then
-           print*,'if watercond is used, water should be used too'
+           if (is_master) print*,'if watercond is used, water should ',
+     &		'be used too'
            stop
          endif
 
-         write(*,*) "Include water precipitation ?"
+         if (is_master) write(*,*) "Include water precipitation ?"
          waterrain=.false. ! default value
          call getin_p("waterrain",waterrain)
-         write(*,*) " waterrain = ",waterrain
-
-         write(*,*) "Include surface hydrology ?"
+         if (is_master) write(*,*) " waterrain = ",waterrain
+
+         if (is_master) write(*,*) "Include surface hydrology ?"
          hydrology=.false. ! default value
          call getin_p("hydrology",hydrology)
-         write(*,*) " hydrology = ",hydrology
-
-         write(*,*) "Evolve surface water sources ?"
+         if (is_master) write(*,*) " hydrology = ",hydrology
+
+         if (is_master) write(*,*) "Evolve surface water sources ?"
          sourceevol=.false. ! default value
          call getin_p("sourceevol",sourceevol)
-         write(*,*) " sourceevol = ",sourceevol
-
-         write(*,*) "Ice evolution timestep ?"
+         if (is_master) write(*,*) " sourceevol = ",sourceevol
+
+         if (is_master) write(*,*) "Ice evolution timestep ?"
          icetstep=100.0 ! default value
          call getin_p("icetstep",icetstep)
-         write(*,*) " icetstep = ",icetstep
-
-         write(*,*) "Snow albedo ?"
+         if (is_master) write(*,*) " icetstep = ",icetstep
+
+         if (is_master) write(*,*) "Snow albedo ?"
          albedosnow=0.5         ! default value
          call getin_p("albedosnow",albedosnow)
-         write(*,*) " albedosnow = ",albedosnow
-
-         write(*,*) "Maximum ice thickness ?"
+         if (is_master) write(*,*) " albedosnow = ",albedosnow
+
+         if (is_master) write(*,*) "Maximum ice thickness ?"
          maxicethick=2.0         ! default value
          call getin_p("maxicethick",maxicethick)
-         write(*,*) " maxicethick = ",maxicethick
-
-         write(*,*) "Freezing point of seawater ?"
+         if (is_master) write(*,*) " maxicethick = ",maxicethick
+
+         if (is_master) write(*,*) "Freezing point of seawater ?"
          Tsaldiff=-1.8          ! default value
          call getin_p("Tsaldiff",Tsaldiff)
-         write(*,*) " Tsaldiff = ",Tsaldiff
-
-         write(*,*) "Does user want to force cpp and mugaz?"
+         if (is_master) write(*,*) " Tsaldiff = ",Tsaldiff
+
+         if (is_master) write(*,*) "Does user want to force",
+     &		" cpp and mugaz?"
          force_cpp=.false. ! default value
          call getin_p("force_cpp",force_cpp)
-         write(*,*) " force_cpp = ",force_cpp
+         if (is_master) write(*,*) " force_cpp = ",force_cpp
 
          if (force_cpp) then
            mugaz = -99999.
-           PRINT *,'MEAN MOLECULAR MASS in g mol-1 ?'
+           if (is_master) PRINT *,'MEAN MOLECULAR MASS in g mol-1 ?'
            call getin_p("mugaz",mugaz)
            IF (mugaz.eq.-99999.) THEN
-               PRINT *, "mugaz must be set if force_cpp = T"
+               if (is_master) PRINT *, "mugaz must be set if ',
+     &		'force_cpp = T"
                STOP
            ELSE
-               write(*,*) "inifis: mugaz=",mugaz
+               if (is_master) write(*,*) "inifis: mugaz=",mugaz
            ENDIF
            !Ehouarn: once mugaz has been set, r, the specific
            ! gas constant must be computed
            r=8.3144622/(mugaz*1.e-3)
-           write(*,*) "inifis: r=",r
+           if (is_master) write(*,*) "inifis: r=",r
            
            cpp = -99999.
-           PRINT *,'SPECIFIC HEAT CAPACITY in J K-1 kg-1 ?'
+           if (is_master) PRINT *,'SPECIFIC HEAT CAPACITY in ',
+     &		'J K-1 kg-1 ?'
            call getin_p("cpp",cpp)
            IF (cpp.eq.-99999.) THEN
-               PRINT *, "cpp must be set if force_cpp = T"
+               if (is_master) PRINT *, "cpp must be set if ',
+     &		'force_cpp = T"
                STOP
            ELSE
-               write(*,*) "inifis: cpp=",cpp
+               if (is_master) write(*,*) "inifis: cpp=",cpp
            ENDIF
 !         else
@@ -675,10 +726,11 @@
          call calc_cpp_mugaz
 
-         PRINT*,'--------------------------------------------'
-         PRINT*
-         PRINT*
+         if (is_master) PRINT*,'------------------------------------'
+         if (is_master) PRINT*
+         if (is_master) PRINT*
       ELSE
-         write(*,*)
-         write(*,*) 'Cannot read file callphys.def. Is it here ?'
+         if (is_master) write(*,*)
+         if (is_master) write(*,*) 'Cannot read file callphys.def.",
+     &		" Is it here ?'
          stop
       ENDIF
@@ -687,4 +739,5 @@
 8001  FORMAT(t5,a12,i8)
 
+      if (is_master) then
       PRINT*
       PRINT*,'inifis: daysec',daysec
@@ -694,4 +747,5 @@
       PRINT*,'        or each ',iradia*dtphys,' seconds'
       PRINT*
+      end if
 
 
Index: codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/iniorbit.F
===================================================================
--- codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/iniorbit.F	(revision 297)
+++ codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/iniorbit.F	(revision 298)
@@ -4,4 +4,5 @@
       USE planete_mod, only: apoastr, periastr, year_day, obliquit,
      &                       peri_day, e_elips, p_elips, timeperi
+      USE mod_phys_lmdz_para, only : is_master
       IMPLICIT NONE
 
@@ -67,4 +68,5 @@
       !!!! We hope that all cases are above 25 Mkm [OK with Gliese 581d]
       IF ( apoastr .gt. 25.) THEN
+        IF (is_master) THEN
         PRINT*,'!!!!! WARNING !!!!!'
         PRINT*,'!!!!! YOU ARE ABOUT TO WITNESS A DIRT HACK !!!!!'
@@ -73,4 +75,5 @@
         PRINT*,'So I am assuming units are in Mkm here'
         PRINT*,'and I am performing a conversion towards AU.'
+        END IF
         periastr = periastr / 149.598 ! Mkm to AU
         apoastr = apoastr / 149.598 ! Mkm to AU
@@ -80,7 +83,7 @@
 
  
-      PRINT*,'Periastron in AU  ',periastr
-      PRINT*,'Apoastron in AU  ',apoastr 
-      PRINT*,'Obliquity in degrees  :',obliquit
+      IF (is_master) PRINT*,'Periastron in AU  ',periastr
+      IF (is_master) PRINT*,'Apoastron in AU  ',apoastr 
+      IF (is_master) PRINT*,'Obliquity in degrees  :',obliquit
 
 
@@ -88,6 +91,6 @@
       p_elips=0.5*(periastr+apoastr)*(1-e_elips*e_elips)
 
-      print*,'e_elips',e_elips
-      print*,'p_elips',p_elips
+      IF (is_master) print*,'e_elips',e_elips
+      IF (is_master) print*,'p_elips',p_elips
 
 c-----------------------------------------------------------------------
@@ -100,5 +103,5 @@
       zanom=2.*pi*(zz-nint(zz))
       zxref=abs(zanom)
-      PRINT*,'zanom  ',zanom
+      IF (is_master) PRINT*,'zanom  ',zanom
 
 c  resolution de l'equation horaire  zx0 - e * sin (zx0) = zxref
@@ -114,10 +117,11 @@
       zx0=zx0+zdx
       if(zanom.lt.0.) zx0=-zx0
-      PRINT*,'zx0   ',zx0
+      IF (is_master) PRINT*,'zx0   ',zx0
 
 c zteta est la longitude solaire
 
       timeperi=2.*atan(sqrt((1.+e_elips)/(1.-e_elips))*tan(zx0/2.))
-      PRINT*,'Solar longitude of periastron timeperi = ',timeperi
+      IF (is_master) PRINT*,'Solar longitude of periastron',
+     &		' timeperi = ',timeperi
 
       RETURN
Index: codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/interpolateH2H2.F90
===================================================================
--- codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/interpolateH2H2.F90	(revision 297)
+++ codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/interpolateH2H2.F90	(revision 298)
@@ -15,4 +15,5 @@
 
       use datafile_mod, only: datadir
+      use mod_phys_lmdz_para, only : is_master
 
       implicit none
@@ -66,6 +67,6 @@
 
       if(firstcall)then ! called by sugas_corrk only
-         print*,'----------------------------------------------------'
-         print*,'Initialising H2-H2 continuum from HITRAN database...'
+         if (is_master) print*,'----------------------------------------------------'
+         if (is_master) print*,'Initialising H2-H2 continuum from HITRAN database...'
 
 !     1.1 Open the ASCII files
@@ -106,7 +107,7 @@
 !$OMP BARRIER
 
-         print*,'interpolateH2H2: At wavenumber ',wn,' cm^-1'
-         print*,'   temperature ',temp,' K'
-         print*,'   pressure ',pres,' Pa'
+         if (is_master) print*,'interpolateH2H2: At wavenumber ',wn,' cm^-1'
+         if (is_master) print*,'   temperature ',temp,' K'
+         if (is_master) print*,'   pressure ',pres,' Pa'
 
       endif
Index: codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/interpolateH2He.F90
===================================================================
--- codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/interpolateH2He.F90	(revision 297)
+++ codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/interpolateH2He.F90	(revision 298)
@@ -15,4 +15,5 @@
 
       use datafile_mod, only: datadir
+      use mod_phys_lmdz_para, only : is_master
 
       implicit none
@@ -68,6 +69,6 @@
 
       if(firstcall)then ! called by sugas_corrk only
-         print*,'----------------------------------------------------'
-         print*,'Initialising H2-He continuum from HITRAN database...'
+         if (is_master) print*,'----------------------------------------------------'
+         if (is_master) print*,'Initialising H2-He continuum from HITRAN database...'
 
 !     1.1 Open the ASCII files
@@ -108,8 +109,10 @@
 !$OMP BARRIER
 
+         if (is_master) then 
          print*,'interpolateH2He: At wavenumber ',wn,' cm^-1'
          print*,'   temperature                 ',temp,' K'
          print*,'   H2 partial pressure         ',presH2,' Pa'
          print*,'   and He partial pressure     ',presHe,' Pa'
+         end if
 
       endif
Index: codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/phyetat0_academic.F90
===================================================================
--- codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/phyetat0_academic.F90	(revision 297)
+++ codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/phyetat0_academic.F90	(revision 298)
@@ -11,4 +11,5 @@
                      inquire_dimension, inquire_dimension_length
   use slab_ice_h, only: noceanmx
+  use mod_phys_lmdz_para, only : is_master
 
   implicit none
@@ -102,11 +103,11 @@
 ! Ehouarn, if file not found, then call tabfi with nid_start==0
 if (.not.found_file) then
-  write(*,*) 'phyetat0_academic: call tabfi with nid_start=0'
+  if (is_master) write(*,*) 'phyetat0_academic: call tabfi with nid_start=0'
   call tabfi (ngrid,0,Lmodif,tab0,day_ini,lmax,p_rad, &
                    p_omeg,p_g,p_cpp,p_mugaz,p_daysec,time)
 else
   ! possibility to modify tab_cntrl in tabfi
-  write(*,*)
-  write(*,*) 'TABFI in phyeta0: Lmodif=',Lmodif," tab0=",tab0
+  if (is_master) write(*,*)
+  if (is_master) write(*,*) 'TABFI in phyeta0: Lmodif=',Lmodif," tab0=",tab0
   call tabfi (ngrid,nid_start,Lmodif,tab0,day_ini,lmax,p_rad, &
                    p_omeg,p_g,p_cpp,p_mugaz,p_daysec,time)
@@ -176,8 +177,8 @@
 endif
 if (.not.found) then
-  write(*,*) "phyetat0: Failed loading <phisfi>"
+  if (is_master) write(*,*) "phyetat0: Failed loading <phisfi>"
   phisfi(:)=0
 else
-  write(*,*) "phyetat0: surface geopotential <phisfi> range:", &
+  if (is_master) write(*,*) "phyetat0: surface geopotential <phisfi> range:", &
              minval(phisfi), maxval(phisfi)
 endif
@@ -190,10 +191,10 @@
 endif
 if (.not.found) then
-  write(*,*) "phyetat0: Failed loading <albedodat>"
+  if (is_master) write(*,*) "phyetat0: Failed loading <albedodat>"
   do ig=1,ngrid
     albedodat(ig)=0.
   enddo
 else
-  write(*,*) "phyetat0: Bare ground albedo <albedodat> range:", &
+  if (is_master) write(*,*) "phyetat0: Bare ground albedo <albedodat> range:", &
              minval(albedodat), maxval(albedodat)
 endif
@@ -208,5 +209,5 @@
     zmea(:)=0.
 else
-  write(*,*) "phyetat0: <ZMEA> range:", &
+  if (is_master) write(*,*) "phyetat0: <ZMEA> range:", &
              minval(zmea), maxval(zmea)
 endif
@@ -219,8 +220,8 @@
 endif
 if (.not.found) then
-  write(*,*) "phyetat0: Failed loading <ZSTD>"
+  if (is_master) write(*,*) "phyetat0: Failed loading <ZSTD>"
    zstd(:)=0.
 else
-  write(*,*) "phyetat0: <ZSTD> range:", &
+  if (is_master) write(*,*) "phyetat0: <ZSTD> range:", &
              minval(zstd), maxval(zstd)
 endif
@@ -233,8 +234,8 @@
 endif
 if (.not.found) then
-  write(*,*) "phyetat0: Failed loading <ZSIG>"
+  if (is_master) write(*,*) "phyetat0: Failed loading <ZSIG>"
   zsig(:)=0.
 else
-  write(*,*) "phyetat0: <ZSIG> range:", &
+  if (is_master) write(*,*) "phyetat0: <ZSIG> range:", &
              minval(zsig), maxval(zsig)
 endif
@@ -247,8 +248,8 @@
 endif
 if (.not.found) then
-  write(*,*) "phyetat0: Failed loading <ZGAM>"
+  if (is_master) write(*,*) "phyetat0: Failed loading <ZGAM>"
   zgam(:)=0.
 else
-  write(*,*) "phyetat0: <ZGAM> range:", &
+  if (is_master) write(*,*) "phyetat0: <ZGAM> range:", &
              minval(zgam), maxval(zgam)
 endif
@@ -261,8 +262,8 @@
 endif
 if (.not.found) then
-  write(*,*) "phyetat0: Failed loading <ZTHE>"
+  if (is_master) write(*,*) "phyetat0: Failed loading <ZTHE>"
   zthe(:)=0.
 else
-  write(*,*) "phyetat0: <ZTHE> range:", &
+  if (is_master) write(*,*) "phyetat0: <ZTHE> range:", &
              minval(zthe), maxval(zthe)
 endif
@@ -278,5 +279,5 @@
   !tsurf(:)=175.0
 else
-  write(*,*) "phyetat0: Surface temperature <tsurf> range:", &
+  if (is_master) write(*,*) "phyetat0: Surface temperature <tsurf> range:", &
              minval(tsurf), maxval(tsurf)
 endif
@@ -289,8 +290,8 @@
 endif
 if (.not.found) then
-  write(*,*) "phyetat0: Failed loading <emis>"
+  if (is_master) write(*,*) "phyetat0: Failed loading <emis>"
   emis(:)=0.5
 else
-  write(*,*) "phyetat0: Surface emissivity <emis> range:", &
+  if (is_master) write(*,*) "phyetat0: Surface emissivity <emis> range:", &
              minval(emis), maxval(emis)
 endif
@@ -303,8 +304,8 @@
 endif
 if (.not.found) then
-  write(*,*) "phyetat0: Failed loading <cloudfrac>"
+  if (is_master) write(*,*) "phyetat0: Failed loading <cloudfrac>"
   cloudfrac(:,:)=0.
 else
-  write(*,*) "phyetat0: Cloud fraction <cloudfrac> range:", &
+  if (is_master) write(*,*) "phyetat0: Cloud fraction <cloudfrac> range:", &
              minval(cloudfrac), maxval(cloudfrac)
 endif
@@ -317,8 +318,8 @@
 endif
 if (.not.found) then
-  write(*,*) "phyetat0: Failed loading <totcloudfrac>"
+  if (is_master) write(*,*) "phyetat0: Failed loading <totcloudfrac>"
   totcloudfrac(:)=0.5
 else
-  write(*,*) "phyetat0: Total cloud fraction <totcloudfrac> range:", &
+  if (is_master) write(*,*) "phyetat0: Total cloud fraction <totcloudfrac> range:", &
              minval(totcloudfrac), maxval(totcloudfrac)
 endif
@@ -331,5 +332,5 @@
 endif
 if (.not.found) then
-  write(*,*) "phyetat0: Failed loading <hice>"
+  if (is_master) write(*,*) "phyetat0: Failed loading <hice>"
 !  call abort
       do ig=1,ngrid
@@ -337,5 +338,5 @@
       enddo
 else
-  write(*,*) "phyetat0: Height of oceanic ice <hice> range:", &
+  if (is_master) write(*,*) "phyetat0: Height of oceanic ice <hice> range:", &
              minval(hice), maxval(hice)
 endif
@@ -349,5 +350,5 @@
 endif
 if (.not.found) then
-  write(*,*) "phyetat0: Failed loading <rnat>"
+  if (is_master) write(*,*) "phyetat0: Failed loading <rnat>"
       do ig=1,ngrid
         rnat(ig)=1.
@@ -362,5 +363,5 @@
       enddo
 
-  write(*,*) "phyetat0: Nature of surface <rnat> range:", &
+  if (is_master) write(*,*) "phyetat0: Nature of surface <rnat> range:", &
              minval(rnat), maxval(rnat)
 endif
@@ -372,10 +373,10 @@
 endif
 if (.not.found) then
-  write(*,*) "phyetat0: Failed loading <pctsrf_sic>"
+  if (is_master) write(*,*) "phyetat0: Failed loading <pctsrf_sic>"
       do ig=1,ngrid
       pctsrf_sic(ig)=0.
       enddo
 else
-  write(*,*) "phyetat0: Pourcentage of sea ice cover <pctsrf_sic> range:", &
+  if (is_master) write(*,*) "phyetat0: Pourcentage of sea ice cover <pctsrf_sic> range:", &
              minval(pctsrf_sic), maxval(pctsrf_sic)
 endif
@@ -387,5 +388,5 @@
 endif
 if (.not.found) then
-  write(*,*) "phyetat0: Failed loading <tslab>"
+  if (is_master) write(*,*) "phyetat0: Failed loading <tslab>"
       do ig=1,ngrid
       do iq=1,noceanmx
@@ -394,5 +395,5 @@
       enddo
 else
-  write(*,*) "phyetat0: Slab ocean temperature <tslab> range:", &
+  if (is_master) write(*,*) "phyetat0: Slab ocean temperature <tslab> range:", &
              minval(tslab), maxval(tslab)
 endif
@@ -404,10 +405,10 @@
 endif
 if (.not.found) then
-  write(*,*) "phyetat0: Failed loading <tsea_ice>"
+  if (is_master) write(*,*) "phyetat0: Failed loading <tsea_ice>"
       do ig=1,ngrid
       tsea_ice(ig)=273.15-1.8
       enddo
 else
-  write(*,*) "phyetat0: Oceanic ice temperature <tsea_ice> range:", &
+  if (is_master) write(*,*) "phyetat0: Oceanic ice temperature <tsea_ice> range:", &
              minval(tsea_ice), maxval(tsea_ice)
 endif
@@ -419,10 +420,10 @@
 endif
 if (.not.found) then
-  write(*,*) "phyetat0: Failed loading <sea_ice>"
+  if (is_master) write(*,*) "phyetat0: Failed loading <sea_ice>"
       do ig=1,ngrid
       tsea_ice(ig)=0.
       enddo
 else
-  write(*,*) "phyetat0: Oceanic ice quantity <sea_ice> range:", &
+  if (is_master) write(*,*) "phyetat0: Oceanic ice quantity <sea_ice> range:", &
              minval(sea_ice), maxval(sea_ice)
 endif
@@ -438,8 +439,8 @@
 endif
 if (.not.found) then
-  write(*,*) "phyetat0: Failed loading <q2>"
+  if (is_master) write(*,*) "phyetat0: Failed loading <q2>"
   q2(:,:)=0.001
 else
-  write(*,*) "phyetat0: PBL wind variance <q2> range:", &
+  if (is_master) write(*,*) "phyetat0: PBL wind variance <q2> range:", &
              minval(q2), maxval(q2)
 endif
@@ -453,5 +454,5 @@
       ! "h2o_ice" should be loaded instead
       txt="h2o_ice"
-      write(*,*) 'phyetat0: loading surface tracer', &
+      if (is_master) write(*,*) 'phyetat0: loading surface tracer', &
                            ' h2o_ice instead of h2o_vap'
     endif
@@ -462,8 +463,8 @@
     endif
     if (.not.found) then
-      write(*,*) "phyetat0: Failed loading <",trim(txt),">"
-      write(*,*) "         ",trim(txt)," is set to zero"
+      if (is_master) write(*,*) "phyetat0: Failed loading <",trim(txt),">"
+      if (is_master) write(*,*) "         ",trim(txt)," is set to zero"
     else
-      write(*,*) "phyetat0: Surface tracer <",trim(txt),"> range:", &
+      if (is_master) write(*,*) "phyetat0: Surface tracer <",trim(txt),"> range:", &
                  minval(qsurf(:,iq)), maxval(qsurf(:,iq))
     endif
Index: codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/physiq.F90
===================================================================
--- codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/physiq.F90	(revision 297)
+++ codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/physiq.F90	(revision 298)
@@ -569,5 +569,5 @@
 !ym               rnat,pctsrf_sic,tslab, tsea_ice,sea_ice)
 
-         write(*,*) "physiq: firstcall, call phyetat0_academic"
+         if (is_master) write(*,*) "physiq: firstcall, call phyetat0_academic"
          call phyetat0_academic(ngrid,nlayer,"startfi.nc",0,0,nsoilmx,nq,   &
                day_ini,time_phys,tsurf,tsoil,emis,q2,qsurf,   &
@@ -576,18 +576,18 @@
 
 !mi initialising tsurf with pt
-         write(*,*) "Physiq: initializing tsurf(:) to pt(:,1) !!"
+         if (is_master) write(*,*) "Physiq: initializing tsurf(:) to pt(:,1) !!"
          tsurf(:)=pt(:,1)
 
          if (pday.ne.day_ini) then
-           write(*,*) "ERROR in physiq.F90:"
-           write(*,*) "bad synchronization between physics and dynamics"
-           write(*,*) "dynamics day: ",pday
-           write(*,*) "physics day:  ",day_ini
-           write(*,*) "taking dynamics day for physics:  ",day_ini
+           if (is_master) write(*,*) "ERROR in physiq.F90:"
+           if (is_master) write(*,*) "bad synchronization between physics and dynamics"
+           if (is_master) write(*,*) "dynamics day: ",pday
+           if (is_master) write(*,*) "physics day:  ",day_ini
+           if (is_master) write(*,*) "taking dynamics day for physics:  ",day_ini
            day_ini=pday
 !ym           stop
          endif
 
-         write (*,*) 'In physiq day_ini =', day_ini
+         if (is_master) write (*,*) 'In physiq day_ini =', day_ini
 
 !        Initialize albedo and orbital calculation
@@ -598,5 +598,5 @@
          albedo(:)=albedo0(:)
 
-         if(tlocked)then
+         if(tlocked .and. is_master)then
             print*,'Planet is tidally locked at resonance n=',nres
             print*,'Make sure you have the right rotation rate!!!'
@@ -652,8 +652,8 @@
 
          else
-            print*,'WARNING! Thermal conduction in the soil turned off'
+            if (is_master) print*,'WARNING! Thermal conduction in the soil turned off'
             capcal(:)=1.e6
             fluxgrd(:)=intheat
-            print*,'Flux from ground = ',intheat,' W m^-2'
+            if (is_master) print*,'Flux from ground = ',intheat,' W m^-2'
          endif
          icount=1
@@ -667,6 +667,6 @@
                      status="old",iostat=ierr)
             if (ierr.ne.0) then
-              write(*,*) "physiq: Error! No num_run file!"
-              write(*,*) " (which is needed for sourceevol option)"
+              if (is_master) write(*,*) "physiq: Error! No num_run file!"
+              if (is_master) write(*,*) " (which is needed for sourceevol option)"
               stop
             endif
@@ -678,5 +678,5 @@
             if(num_run.ne.0.and.mod(num_run,2).eq.0)then
             !if(num_run.ne.0.and.mod(num_run,3).eq.0)then
-               print*,'Updating ice at end of this year!'
+               if (is_master) print*,'Updating ice at end of this year!'
                ice_update=.true.
                ice_min(:)=1.e4
@@ -696,6 +696,6 @@
            enddo
 
-           print*,'WARNING! Surface type currently decided by surface inertia'
-           print*,'This should be improved e.g. in newstart.F'
+           if (is_master) print*,'WARNING! Surface type currently decided by surface inertia'
+           if (is_master) print*,'This should be improved e.g. in newstart.F'
          endif!(.not.ok_slab_ocean)
 
@@ -711,5 +711,5 @@
 !        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
          if(nearco2cond) then
-            write(*,*)' WARNING! Starting at Tcond+1K'
+            if (is_master) write(*,*)' WARNING! Starting at Tcond+1K'
             do l=1, nlayer
                do ig=1,ngrid
@@ -892,5 +892,5 @@
 
            if(rings_shadow) then 
-                write(*,*) 'Rings shadow activated'
+                if (is_master) write(*,*) 'Rings shadow activated'
                 if(diurnal .eqv. .false.) then ! we need to compute the daily average insolation 
                     pas = 1./nb_hours
@@ -1920,5 +1920,5 @@
 
 
-           print*,'--> Ls =',zls*180./pi
+           if (is_master) print*,'--> Ls =',zls*180./pi
 !        -------------------------------------------------------------------
 !        Writing NetCDF file  "RESTARTFI" at the end of the run
@@ -2359,5 +2359,5 @@
       endif
 
-      write(*,*) "physiq: done, zday=",zday
+      if (is_master) write(*,*) "physiq: done, zday=",zday
       return
     end subroutine physiq
Index: codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/radii_mod.F90
===================================================================
--- codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/radii_mod.F90	(revision 297)
+++ codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/radii_mod.F90	(revision 298)
@@ -37,4 +37,5 @@
       use radinc_h, only: naerkind
       use aerosol_mod
+      use mod_phys_lmdz_para, only : is_master
 !      USE tracer_h
       Implicit none
@@ -54,5 +55,5 @@
       integer :: iaer   
       
-      print*,'enter su_aer_radii'
+      if (is_master) print*,'enter su_aer_radii'
           do iaer=1,naerkind
 !     these values will change once the microphysics gets to work
@@ -100,28 +101,28 @@
          if (radfixed) then
 
-	    write(*,*)"radius of H2O water particles:"
+	    if (is_master) write(*,*)"radius of H2O water particles:"
             rad_h2o=13. ! default value
             call getin_p("rad_h2o",rad_h2o)
-            write(*,*)" rad_h2o = ",rad_h2o
-
-	    write(*,*)"radius of H2O ice particles:"
+            if (is_master) write(*,*)" rad_h2o = ",rad_h2o
+
+	    if (is_master) write(*,*)"radius of H2O ice particles:"
             rad_h2o_ice=35. ! default value
             call getin_p("rad_h2o_ice",rad_h2o_ice)
-            write(*,*)" rad_h2o_ice = ",rad_h2o_ice
+            if (is_master) write(*,*)" rad_h2o_ice = ",rad_h2o_ice
 
 	 else
 
-            write(*,*)"Number mixing ratio of H2O water particles:"
+            if (is_master) write(*,*)"Number mixing ratio of H2O water particles:"
             Nmix_h2o=1.e6 ! default value
             call getin_p("Nmix_h2o",Nmix_h2o)
-            write(*,*)" Nmix_h2o = ",Nmix_h2o
-
-            write(*,*)"Number mixing ratio of H2O ice particles:"
+            if (is_master) write(*,*)" Nmix_h2o = ",Nmix_h2o
+
+            if (is_master) write(*,*)"Number mixing ratio of H2O ice particles:"
             Nmix_h2o_ice=Nmix_h2o ! default value
             call getin_p("Nmix_h2o_ice",Nmix_h2o_ice)
-            write(*,*)" Nmix_h2o_ice = ",Nmix_h2o_ice
+            if (is_master) write(*,*)" Nmix_h2o_ice = ",Nmix_h2o_ice
 	 endif
 
-      print*,'exit su_aer_radii'
+      if (is_master) print*,'exit su_aer_radii'
 
    end subroutine su_aer_radii
Index: codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/setspi.F90
===================================================================
--- codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/setspi.F90	(revision 297)
+++ codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/setspi.F90	(revision 298)
@@ -25,4 +25,5 @@
       use radcommon_h, only: BWNI,BLAMI,WNOI,DWNI,WAVEI,planckir,sigma
       use datafile_mod, only: datadir
+      use mod_phys_lmdz_para, only : is_master
 
       implicit none
@@ -105,6 +106,6 @@
       close(131)
 
-      write(*,*) 'setspi: L_NSPECTI = ',L_NSPECTI, 'in the model '
-      write(*,*) '        there are   ',nb, 'entries in ',TRIM(file_path)
+      if (is_master) write(*,*) 'setspi: L_NSPECTI = ',L_NSPECTI, 'in the model '
+      if (is_master) write(*,*) '        there are   ',nb, 'entries in ',TRIM(file_path)
       if(nb.ne.L_NSPECTI) then
          write(*,*) 'MISMATCH !! I stop here'
@@ -125,4 +126,5 @@
 !$OMP BARRIER
 
+      if (is_master) then
       print*,''
       print*,'setspi: IR band limits:'
@@ -130,4 +132,5 @@
          print*,m,'-->',BWNI(M),' cm^-1'
       end do
+      end if
 
 !     Set up mean wavenumbers and wavenumber deltas.  Units of 
@@ -149,7 +152,9 @@
 !     original planck.f; W m^-2 wavenumber^-1, where wavenumber is in CM^-1.
 
+      if (is_master) then
       print*,''
       print*,'setspi: Current Planck integration range:'
       print*,'T = ',dble(NTstar)/NTfac, ' to ',dble(NTstop)/NTfac,' K.'
+      end if
 
       do NW=1,L_NSPECTI
@@ -173,5 +178,5 @@
       ! force planck=sigma*eps*T^4 for each temperature in array
       if(forceEC)then
-         print*,'setspi: Force F=sigma*eps*T^4 for all values of T!'
+         if (is_master) print*,'setspi: Force F=sigma*eps*T^4 for all values of T!'
          do nt=NTstar,NTstop
             plancksum=0.0D0
@@ -198,7 +203,7 @@
             plancksum=plancksum+planckir(NW,nt-NTstar+1)*DWNI(NW)*pi
          end do
-         print*,'setspi: At lower limit:'
-         print*,'in model sig*T^4 = ',plancksum,' W m^-2'
-         print*,'actual sig*T^4   = ',sigma*(dble(nt)/NTfac)**4,' W m^-2'
+         if (is_master) print*,'setspi: At lower limit:'
+         if (is_master) print*,'in model sig*T^4 = ',plancksum,' W m^-2'
+         if (is_master) print*,'actual sig*T^4   = ',sigma*(dble(nt)/NTfac)**4,' W m^-2'
          
          ! check energy conservation at upper temperature boundary
@@ -208,8 +213,8 @@
             plancksum=plancksum+planckir(NW,nt-NTstar+1)*DWNI(NW)*pi
          end do
-         print*,'setspi: At upper limit:'
-         print*,'in model sig*T^4 = ',plancksum,' W m^-2'
-         print*,'actual sig*T^4   = ',sigma*(dble(nt)/NTfac)**4,' W m^-2'
-         print*,''
+         if (is_master) print*,'setspi: At upper limit:'
+         if (is_master) print*,'in model sig*T^4 = ',plancksum,' W m^-2'
+         if (is_master) print*,'actual sig*T^4   = ',sigma*(dble(nt)/NTfac)**4,' W m^-2'
+         if (is_master) print*,''
       endif
 
